Search Courses
Search for existing courses in your organization. You can search by course name. The search is case-insensitive and supports partial matches.
Headers
AuthorizationContent-TypeAcceptSearch Courses › Request Body
qThe search query to filter courses by name.
Search Courses › Responses
Retrieve a Course
Retrieves the details of an existing course in your organization based on the provided unique course ID. Returns a comprehensive information about the course, including its name, availability, status, dates, and more.
path Parameters
idThe ID of the requested course.
Headers
AuthorizationContent-TypeAcceptRetrieve a Course › Responses
errorpayloadUpdate a Course
Updates the details of an existing course in your organization based on the provided unique course ID. Any parameters not provided will be left unchanged. Returns the updated course details upon successful update.
path Parameters
idThe ID of the requested course.
Headers
AuthorizationContent-TypeAcceptUpdate a Course › Request Body optional
nameThe course name. Must not be greater than 255 characters.
contentThe course content in markdown format. Supports headings, bold, italic, strikethrough, highlights, inline code, code blocks, blockquotes, lists, tables, images, links, and math (LaTeX).
availabilityThe course availability. Must be one of: CONTINUOUS, SCHEDULED. Must be one of CONTINUOUS or SCHEDULED.
start_dateIf the course availability is set to SCHEDULED, this defines the course schedule start. Specify the date in YYYY-MM-DD format. This field is required when availability is SCHEDULED. Must be a valid date.
end_dateIf the course availability is set to SCHEDULED, this defines the course schedule end. Specify the date in YYYY-MM-DD format. This field is required when availability is SCHEDULED or date. Must be a date after or equal to start_date.
visibilityThe course visibility inside your organization. A course with PUBLIC visibility is shown to all the members of your organization. A course with PRIVATE visibility is shown only to the members of the course but is hidden by the other members of your organization. Must be one of PUBLIC or PRIVATE.
metadataMetadata is an attribute that lets you store more information, structured as key-value pairs, for your own use and reference.
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Keys and values are stored as strings and can contain any characters with one exception: you can't use square brackets ([ and ]) in keys.
Update a Course › Responses
errorpayloadList all Courses
Returns a list of courses within your organization. The courses are sorted by their creation date, with the most recently created courses appearing first. Each course in the list includes information such as the course name, availability, status, dates, and more.
query Parameters
pageA cursor for pagination across multiple pages of results.
A cursor for pagination across multiple pages of results.
Headers
AuthorizationContent-TypeAcceptList all Courses › Responses
Create a Course
Creates a course in your organization. Returns the created course details upon successful creation.
Headers
AuthorizationContent-TypeAcceptCreate a Course › Request Body optional
nameThe course name. Must not be greater than 255 characters.
contentThe course content in markdown format. Supports headings, bold, italic, strikethrough, highlights, inline code, code blocks, blockquotes, lists, tables, images, links, and math (LaTeX).
availabilityThe course availability. Must be one of: CONTINUOUS, SCHEDULED. Must be one of CONTINUOUS or SCHEDULED.
start_dateIf the course availability is set to SCHEDULED, this defines the course schedule start. Specify the date in YYYY-MM-DD format. This field is required when availability is SCHEDULED. Must be a valid date.
end_dateIf the course availability is set to SCHEDULED, this defines the course schedule end. Specify the date in YYYY-MM-DD format. This field is required when availability is SCHEDULED or date. Must be a date after or equal to start_date.
visibilityThe course visibility inside your organization. A course with PUBLIC visibility is shown to all the members of your organization. A course with PRIVATE visibility is shown only to the members of the course but is hidden by the other members of your organization. Must be one of PUBLIC or PRIVATE.
metadataMetadata is an attribute that lets you store more information, structured as key-value pairs, for your own use and reference.
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Keys and values are stored as strings and can contain any characters with one exception: you can't use square brackets ([ and ]) in keys.
Create a Course › Responses
errorpayloadJoin a Course
Joins a member in one of your courses.
path Parameters
idThe ID of the course to enroll.
Headers
AuthorizationContent-TypeAcceptJoin a Course › Request Body
memberThe unique ID of the member who is being added to the course.
roleThe role to assign to the member inside the course. If not set the member will be enrolled to the course as a customer. To assign an instructor or assiatant to the course use lecturer or assistant. Must be one of customer, lecturer, or assistant.
Join a Course › Responses
errorpayloadRevoke Course Access
Revokes a member access to a course.
path Parameters
idThe ID of the course from which the member should be revoked.
Headers
AuthorizationContent-TypeAcceptRevoke Course Access › Request Body
memberThe ID of the member to revoke access to the course.
Revoke Course Access › Responses
errorpayloadList all Course Members
Returns a list of members within the course.
path Parameters
idThe ID of the course from which the members should be retrieved.
Headers
AuthorizationContent-TypeAcceptList all Course Members › Request Body optional
include_test_userInclude test users to the results if set to true.
List all Course Members › Responses
Retrieve a Course Member
Retrieves the details of a specific member in a course, including their progress data.
path Parameters
idThe ID of the course.
member_idThe ID of the member.
Headers
AuthorizationContent-TypeAcceptRetrieve a Course Member › Responses
errorpayload